package com.yingxin.prms.domain;

import org.springframework.data.cassandra.core.cql.PrimaryKeyType;
import org.springframework.data.cassandra.core.mapping.PrimaryKeyColumn;
import org.springframework.data.cassandra.core.mapping.Table;

@Table(value = "ctid_process_host_dic")
public class CTID_Process_Host_Dic {

    @PrimaryKeyColumn(type = PrimaryKeyType.PARTITIONED)
    private String ip;

    @PrimaryKeyColumn
    private int port;

    public CTID_Process_Host_Dic(String ip, int port) {
        this.ip = ip;
        this.port = port;
    }

    @Override
    public String toString() {
        return "CTID_Process_Host_Dic{" +
                "ip='" + ip + '\'' +
                ", port=" + port +
                '}';
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }
}
